Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.event
Class TransactionEvent

    java.lang.Object
      java.util.EventObject
          org.apache.slide.event.TransactionEvent

All Implemented Interfaces:
  java.io.Serializable

public class TransactionEvent
extends java.util.EventObject

Transaction event class

Version:
  $Revision: 1.2 $
See Also:
  Serialized Form

Nested Class Summary
`static class` | `TransactionEvent.Begin`
`static class` | `TransactionEvent.Commit`
`static class` | `TransactionEvent.Commited`
`static class` | `TransactionEvent.Rollback`

Field Summary
`static TransactionEvent.Begin` | `BEGIN`
`static TransactionEvent.Commit` | `COMMIT`
`static TransactionEvent.Commited` | `COMMITED`
`static java.lang.String` | `GROUP`
`static AbstractEventMethod[]` | `methods`
`static TransactionEvent.Rollback` | `ROLLBACK`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`TransactionEvent(java.lang.Object source)`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### BEGIN

    public static final TransactionEvent.Begin BEGIN

### ROLLBACK

    public static final TransactionEvent.Rollback ROLLBACK

### COMMIT

    public static final TransactionEvent.Commit COMMIT

### COMMITED

    public static final TransactionEvent.Commited COMMITED

### GROUP

    public static final java.lang.String GROUP

See Also:
  Constant Field Values

### methods

    public static final AbstractEventMethod[] methods

Constructor Detail

### TransactionEvent

    public TransactionEvent(java.lang.Object source)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD